#include "stm32g4xx_hal.h"
 
#define GPIO_PORT_I2C	GPIOC			     // GPIO端口 
#define I2C_SCL_PIN		GPIO_PIN_0			 // 连接到SCL时钟线的GPIO 
#define I2C_SDA_PIN		GPIO_PIN_3			 // 连接到SDA数据线的GPIO 
 
 
/* 定义读写SCL和SDA的宏 */ 

#define I2C_SCL_1()  HAL_GPIO_WritePin(GPIOA,GPIO_PIN_15,1)                   // SCL = 1 
#define I2C_SCL_0()  HAL_GPIO_WritePin(GPIOA,GPIO_PIN_15,0)  		// SCL = 0 
 
#define I2C_SDA_1()  HAL_GPIO_WritePin(GPIOB,GPIO_PIN_7,1)  										// SDA = 1 
#define I2C_SDA_0()  HAL_GPIO_WritePin(GPIOB,GPIO_PIN_7,0)  		// SDA = 0 
 
#define I2C_SDA_READ()  HAL_GPIO_ReadPin(GPIOB,GPIO_PIN_7) 									// 读SDA口线状态 
#define I2C_SCL_READ()  HAL_GPIO_ReadPin(GPIOA,GPIO_PIN_15)								// 读SCL口线状态 
 
 
void I2C_Start(void);
//停止信号
void I2C_Stop(void);
//发送一个字节
void I2C_SendByte(uint8_t _ucByte);
//读取一个字节
uint8_t I2C_ReadByte(void);
//等待应答信号
uint8_t I2C_WaitAck(void);
//应答信号
void I2C_Ack(void);
//无应答信号
void I2C_NAck(void);
//检查设备
uint8_t I2C_CheckDevice(uint8_t _Address);
//发送数据
void  Device_WriteData(uint8_t DeciveAddr,uint8_t *Data,int size);